summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStefano Karapetsas <[email protected]>2012-07-04 18:01:12 +0200
committerStefano Karapetsas <[email protected]>2012-07-04 18:01:12 +0200
commite48fc61bf4cf43a90b7ddf16e3cbb3b247333c89 (patch)
tree15722913e64320b18a09b2452d0a382ebeb953e9 /autogen.sh
downloadmate-netbook-e48fc61bf4cf43a90b7ddf16e3cbb3b247333c89.tar.bz2
mate-netbook-e48fc61bf4cf43a90b7ddf16e3cbb3b247333c89.tar.xz
Initial release
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..3265484
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="mate-netbook"
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which mate-autogen || {
+ echo "You need to install mate-common from the MATE Git"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.9
+USE_MATE2_MACROS=1
+USE_COMMON_DOC_BUILD=yes
+
+. mate-autogen